// vcpbtestDlg.h : header file
//
//{{AFX_INCLUDES()
#include "mediaplayback.h"
//}}AFX_INCLUDES

#if !defined(AFX_VCPBTESTDLG_H__BE68D48D_D431_444E_9B7E_4DB55AA03F81__INCLUDED_)
#define AFX_VCPBTESTDLG_H__BE68D48D_D431_444E_9B7E_4DB55AA03F81__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CVcpbtestDlg dialog

class CVcpbtestDlg : public CDialog
{
// Construction
public:
	
	CVcpbtestDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CVcpbtestDlg)
	enum { IDD = IDD_VCPBTEST_DIALOG };
	CButton	m_butSaveSnapshot;
	CButton	m_butVloume;
	CEdit	m_cedVolume;
	CEdit	m_cedDisplayPeriod;
	CButton	m_butMotionFrame;
	CButton	m_butForceNonYUV;
	CButton	m_butDeblocking;
	CButton	m_butNextFrame;
	CEdit	m_cedDbPath;
	CButton	m_butMap;
	CButton	m_butSlider;
	CButton	m_butIgnoreBorder;
	CButton	m_butIgnoreCaption;
	CButton	m_butForceGDI;
	CButton	m_butSet;
	CEdit	m_cedLimitEnd;
	CEdit	m_cedLimitStart;
	CStatic	m_cstTo;
	CStatic	m_cstTimeRange;
	CStatic	m_cstSpeed;
	CListBox	m_cliTimeIntervals;
	CStatic	m_cstTimeIntervals;
	CComboBox	m_comCurrentEvent;
	CStatic	m_cstEventTypes;
	CStatic	m_cstCurrentEvent;
	CStatic	m_cstLoc;
	CStatic	m_cstPlayMethod;
	CComboBox	m_comSegment;
	CStatic	m_cstSegment;
	CComboBox	m_comLoc;
	CButton	m_butPause;
	CButton	m_butPlay;
	CButton	m_butAutoRepeat;
	CButton	m_butPlayAcross;
	// sam 2007/11/22
	CButton	m_butDeinterlace;
	CComboBox	m_comEventTypes;
	CComboBox	m_comPlayMethod;
	CComboBox	m_comSpeed;
	CButton	m_butCloseDB;
	CButton	m_butRepairLoc;
	CButton	m_butDeleteLoc;
	CButton	m_butCloseLoc;
	CButton	m_butRepairDB;
	CButton	m_butBrowseDB;
	CButton	m_butExportAVI;
	BOOL	m_bIgnoreCaption;
	CMediaPlayBack	m_vaControl;
	BOOL	m_bIgnoreBorder;
	BOOL	m_bForceGDI;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVcpbtestDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL
public:
	COleDateTime	m_CODT_LimitStart;
	COleDateTime	m_CODT_LimitEnd;
	void FormatDateTimeValueConst(VARIANT* vDT, int iDateAndTime[], CString& strValue, int nStartIdx);
	void FormatDateTimeValue(VARIANT* vDT, int iDateAndTime[], CString& strValue, int nStartIdx);
	void FormatDateTimeValue3D(int iIdx, int iIdx2, VARIANT* pvDT, CString& strValue);
	void FormatVideoStreamType(int iVal, CString& strTarget);
	void FormatAudioStreamType(int iVal, CString& strTarget);

// Implementation
protected:
	HICON m_hIcon;
	int m_nLastEventTypeIdx;

	// Generated message map functions
	//{{AFX_MSG(CVcpbtestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnOK();
	afx_msg void chkForceGDI();
	afx_msg void chkIgnoreBorder();
	afx_msg void chkIgnoreCaption();
	afx_msg void cmdExportAVI();
	afx_msg void cmdVideoCompressor();
	afx_msg void cmdAudioCompressor();
	afx_msg void cmdCloseDB();
	afx_msg void cmdCloseLoc();
	afx_msg void cmdSet();
	afx_msg void chkPlayAcrossTI();
	afx_msg void chkAutoRepeat();
	afx_msg void cmdPause();
	afx_msg void cmdPlay();
	afx_msg void cmdBrowseDB();
	afx_msg void cmdRepairDB();
	afx_msg void cmdRepairLoc();
	afx_msg void cmdDeleteLoc();
	afx_msg void MediaPlayBack1(long eStatusCode, long lParam1, long lParam2);
	afx_msg void comboPlayMethod();
	afx_msg void comboLoc();
	afx_msg void cmoboEvenTypes();
	afx_msg void comboSpeed();
	afx_msg void comboCurrentEvent();
	afx_msg void comboSegment();
	afx_msg void OnClose();
	afx_msg void OnOnPlaybackStatusMediaplayback1(long eStatusCode, long lParam1, long lParam2);
	afx_msg void OnOnNotifyTimeMediaplayback1(long eCode, VARIANT FAR* pvTime);
	afx_msg void OnOnAVINotifyMediaplayback1(long eCode, long lParam1, long lParam2);
	afx_msg void OnOnRequestAVIFileNameMediaplayback1(VARIANT FAR* pvStartTime, VARIANT FAR* pvEndTime);
	afx_msg void OnCheckFilebase();
	afx_msg void OnButSetfname();
	afx_msg void OnButBrowse();
	afx_msg void OnSave();
	afx_msg void OnButtonNextFrame();
	afx_msg void OnCheckDeblocking();
	afx_msg void OnCheckForceNonyuv();
	afx_msg void OnCheckMotionFrame();
	afx_msg void OnChangeEditDisplayPeriod();
	afx_msg void OnCheckVolume();
	afx_msg void OnChangeEditVolume();
	afx_msg void OnCheckDeinterlace();
	DECLARE_EVENTSINK_MAP()
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void OpenLocation();
	void ChangeControlsStateSeg(bool bEnable);
	void ChangeControlsStateLoc(bool bEnable);
	void ChangeControlsStateOther(bool bEnable);
	void ReFillEventList();
	void ReFillTimeInterval();
	void OpenDatabase();
	void ChangeTimeLimition();
	void BrowseForHgdFile();
	void SetFileNameCommon();
	void ChangeControlsStatePlay(BOOL bEnable);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VCPBTESTDLG_H__BE68D48D_D431_444E_9B7E_4DB55AA03F81__INCLUDED_)
